__gnu_cxx::__scoped_lock(3)

NAME
__gnu_cxx::__scoped_lock - Scoped lock idiom.

SYNOPSIS

  Public Types
typedef __mutex __mutex_type

  Public Member Functions
__scoped_lock (__mutex_type &__name)

Detailed Description

Scoped lock idiom.

Definition at line 228 of file concurrence.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.